View Issue Details

IDProjectCategoryView StatusLast Update
0002186FreeCADBugpublic2015-12-15 13:15
Reportermore11Assigned Toyorik 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformDell XPSOSWindows 7 OS Versionx64
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002186: Crash when changing window hole depth in arch module
DescriptionTraceback (most recent call last):
  File "C:\Users\more10.HOLISTICODE\Downloads\FreeCAD_0.16.5113_x64_dev_bin\Mod\Arch\ArchStructure.py", line 619, in execute
    base = Part.Face(base.Wires[0])
<class 'Part.OCCError'>: Failed to create face from wire
Steps To ReproduceOpen the drawing: https://dl.dropboxusercontent.com/u/106944188/FreeCAD/window-2/plan3.FCStd

Run the macro: https://dl.dropboxusercontent.com/u/106944188/FreeCAD/window-2/macro.FCMacro
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5113 (Git)
Build type: Release
Branch: master
Hash: 074d5d7f11239ab958e0472150bed25e9617a256
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

more11

2015-07-29 10:53

reporter   ~0006260

Still a problem in Windows, but the bug is gone in this Linux version:

OS: Ubuntu 14.04.2 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.16.5278 (Git)
Build type: None
Branch: master
Hash: cc7fa5b28c0d068b0d9ed029ee7ee205328b6940
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

yorik

2015-12-09 13:30

administrator   ~0006583

I couldn't find the exact cause of the problem, the attached file seems to contain a number of invalid sketches, that most likely give problems when building structures on top of them.

However, I'm committing a change that fixes the crash, and better informs the user of the problem.

Issue History

Date Modified Username Field Change
2015-07-08 22:11 more11 New Issue
2015-07-19 15:22 yorik Assigned To => yorik
2015-07-19 15:22 yorik Status new => assigned
2015-07-29 10:53 more11 Note Added: 0006260
2015-12-09 13:30 yorik Note Added: 0006583
2015-12-09 13:31 yorik Changeset attached => FreeCAD Master master b876489b
2015-12-09 13:31 yorik Status assigned => closed
2015-12-09 13:31 yorik Resolution open => fixed
2015-12-15 13:15 yorik Fixed in Version => 0.16